# Interface NetworkOptions

interface NetworkOptions {
networkSubscribe?: NetworkSubscribe;
requestProxy?: (url: string) => string | Promise<string>;
timeout?: number;
}

#### Hierarchy (View Summary)

- NetworkOptions
  - AjaxOptions

- Defined in lib/five/utils/ajax.ts:99

##### Index

### Properties

networkSubscribe?
requestProxy?
timeout?

## Properties

### `Optional` networkSubscribe

networkSubscribe?: NetworkSubscribe

网络消息追踪

- Defined in lib/five/utils/ajax.ts:105

### `Optional` requestProxy

requestProxy?: (url: string) => string | Promise<string>

请求代理

- Defined in lib/five/utils/ajax.ts:103

### `Optional` timeout

timeout?: number

超时时间

- Defined in lib/five/utils/ajax.ts:101